Conversations
List conversations
Returns a paginated list of conversations for the organization, filterable by status, channel, contact, and date range.
Returns a paginated list of conversations for the organization, filterable by status, channel, contact, and date range.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?string|null
limit?string|null
status?|null
channel?|null
contactId?|null
startDate?string|null
endDate?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/conversations"{ "items": [ { "id": "string", "organizationId": "string", "title": "string", "description": "string", "externalId": "string", "parentConversationId": "string", "channels": [ "email" ], "primaryChannel": "email", "status": "active", "statusReason": "string", "priority": 0, "urgency": "low", "complexity": "simple", "metadata": { "source": "string", "tags": [ "string" ], "customFields": {} }, "actorTracking": { "allActorIds": [ "string" ], "activeActorIds": [ "string" ], "actorHistory": [ { "actorId": "string", "actorType": "contact", "joinedAt": "string", "leftAt": "string", "role": "initiator", "addedBy": "string", "removedBy": "string", "reason": "string" } ], "primaryActorIds": [ "string" ] }, "metrics": { "messageCount": 0, "messagesFromHuman": 0, "totalActors": 0, "contactCount": 0, "channelSwitches": 0, "channelDistribution": { "property1": 0, "property2": 0 } }, "context": { "customerData": {}, "previousConversations": [ "string" ], "sessionVariables": {}, "workflowState": { "currentStep": "string", "completedSteps": [ "string" ], "pendingSteps": [ "string" ], "workflowData": {} } }, "tags": [ "string" ], "categories": [ "string" ], "isTest": true, "isInternal": true, "isPrivate": true, "startedAt": "string", "lastActivityAt": "string", "lastHumanActivityAt": "string", "resolvedAt": "string", "archivedAt": "string", "resolvedBy": "string", "resolutionType": "automated", "resolutionNotes": "string", "createdAt": "string", "updatedAt": "string", "createdBy": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}